# cRuntimeError Class Reference
[Internal classes]

`#include <cexception.h>`

Inheritance diagram for cRuntimeError:

List of all members.

## Detailed Description

Thrown when the simulation kernel or other components detect a runtime error.

For example, cSimpleModule::scheduleAt() throws this exception when the specified simulation time is in the past, or the message pointer is NULL.

## Public Member Functions

| cRuntimeError (int errcode,...)
| cRuntimeError (const char *msg,...)
| cRuntimeError (const cObject *where, int errcode,...)
| cRuntimeError (const cObject *where, const char *msg,...)

## Constructor & Destructor Documentation

cRuntimeError::cRuntimeError | ( | int | errcode,
|  |  | ...
| ) |

| Error is identified by an error code, and the message comes from a string table. The error string may expect printf-like arguments (s, d) which also have to be passed to the constructor.

cRuntimeError::cRuntimeError | ( | const char * | msg,
|  |  | ...
| ) |

| To be called like printf(). The error code is set to eCUSTOM.

cRuntimeError::cRuntimeError | ( | const cObject * | where,
|  | int | errcode,
|  |  | ...
| ) |

| Error is identified by an error code, and the message comes from a string table. The error string may expect printf-like arguments (s, d) which also have to be passed to the constructor. The 1st arg is the object where the error occurred: its class and object name will be prepended to the message like this: "(cArray)arr".

cRuntimeError::cRuntimeError | ( | const cObject * | where,
|  | const char * | msg,
|  |  | ...
| ) |

| To be called like printf(). The error code is set to eCUSTOM. The 1st arg is the object where the error occurred: its class and object name will be prepended to the message like this: "(cArray)arr".

The documentation for this class was generated from the following file:

- cexception.h